net.sf.jasperreports.engine

## Interface JRTextElement

- All Superinterfaces:
    java.lang.Cloneable, JRAlignment, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRCommonText, JRElement, JRFont, JRIdentifiable, JRParagraphContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable
  All Known Subinterfaces:
    JRStaticText, JRTextField
  All Known Implementing Classes:
    JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillStaticText, JRFillTextElement, JRFillTextField

      public interface JRTextElement
      extends JRElement, JRAlignment, JRFont, JRCommonText

  An abstract representation of a report text element. It provides basic functionality for static texts and text fields.
  Version:
    $Id: JRTextElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_PRINT_KEEP_FULL_TEXT` Property used to determine whether the fill process must preserve the original text for text elements that are not able to fit their entire contents.
    `static java.lang.String` | `PROPERTY_SAVE_LINE_BREAKS` Boolean property that determines whether the positions where text line break occurs are to be saved during report fill in oder to be used at export time.
    `static java.lang.String` | `PROPERTY_TRUNCATE_AT_CHAR` Boolean property that determines whether text elements are to be truncated at the last character that fits.
    `static java.lang.String` | `PROPERTY_TRUNCATE_SUFFIX` Property whose value is used as a suffix for the truncated text.

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRCommonText

      `MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

  - ### Method Summary

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRAlignment

      `getHorizontalAlignmentValue, getOwnHorizontalAlignmentValue, getOwnVerticalAlignmentValue, getVerticalAlignmentValue, setHorizontalAlignment, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRFont

      `getFontName, getFontsize, getFontSize, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getPdfEncoding, getPdfFontName, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonText

      `getFontsize, getFontSize, getLineSpacingValue, getMarkup, getOwnLineSpacingValue, getOwnMarkup, getOwnRotationValue, getRotationValue, setLineSpacing, setMarkup, setRotation`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor, getLineBox`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParagraphContainer

      `getParagraph`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### PROPERTY_PRINT_KEEP_FULL_TEXT

          static final java.lang.String PROPERTY_PRINT_KEEP_FULL_TEXT

      Property used to determine whether the fill process must preserve the original text for text elements that are not able to fit their entire contents.

      When this property is set, the engine saves the original text in the `print text object` along with the index at which the text is to be truncated by the print object.

      This property can be set at the following levels (listed in the order of precedence):

      - at `text element` level
      - at `report` level
      - globally in jasperreports.properties or via `JRPropertiesUtil`
      See Also:
        `JRPrintText.getFullText()`, `JRStyledTextUtil.getTruncatedText(JRPrintText)`, `JRPrintText.getTextTruncateIndex()`, Constant Field Values

    - #### PROPERTY_TRUNCATE_AT_CHAR

          static final java.lang.String PROPERTY_TRUNCATE_AT_CHAR

      Boolean property that determines whether text elements are to be truncated at the last character that fits.

      By default, when the entire text of a text element does not fit the element's area, the text is truncated at the last word that fits the area. This property can instruct the engine to truncate the text at the last character that fits.

      The property can be set at the same levels as `PROPERTY_PRINT_KEEP_FULL_TEXT`.

      See Also:
        Constant Field Values

    - #### PROPERTY_TRUNCATE_SUFFIX

          static final java.lang.String PROPERTY_TRUNCATE_SUFFIX

      Property whose value is used as a suffix for the truncated text.

      The suffix is appended to the text when truncation occurs. If the property is not defined or empty (which is the case by default), no suffix will be used when the text is truncated.

      The property can be set at the same levels as `PROPERTY_PRINT_KEEP_FULL_TEXT`.

      See Also:
        Constant Field Values

    - #### PROPERTY_SAVE_LINE_BREAKS

          static final java.lang.String PROPERTY_SAVE_LINE_BREAKS

      Boolean property that determines whether the positions where text line break occurs are to be saved during report fill in oder to be used at export time.

      At report fill time, each text element is measured in order to determine how long it needs to stretch or where it needs to be truncated. During this measurement, the text wraps at certain positions in order to fit the text element defined width.

      Setting this property to true instructs the engine to save the positions at which line breaks occur in the generated print element. The positions can be used by report exporters that want to enforce line breaks to occur at exactly the same position as they did during text measurement at fill time.

      Currently, the HTML exporter will make use of the saved line break positions by introducing explicit line breaks.

      The property can be set globally, at report level or at text element level.

      See Also:
        `JRPrintText.getLineBreakOffsets()`, Constant Field Values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com